### Constructor

# Adw Toastnew_format

since: 1.2

#### Declaration [src]

    AdwToast*
    adw_toast_new_format (
      const char* format,
      ...
    )

#### Description [src]

Creates a new `AdwToast`.

The toast will use the format string as its title.

See also: `adw_toast_new()`

Available since: 1.2

This method is not directly available to language bindings.

#### Parameters

`format`

  Type: `const char*`

  The formatted string for the toast title.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The parameters to insert into the format string.

#### Return value

Type: `AdwToast`

The newly created toast object.

The caller of the function takes ownership of the data, and is responsible for freeing it.